/*
 * Class BILINEAR [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1920 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1920 [] = {0xFF01,1551,1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1920 [] = {0xFF01,1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1920 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1920 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1920 [] = {0xFF01,1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1920 [] = {0xFF01,1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1920 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1920 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1920 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1920 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1920 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1920 [] = {1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1920 [] = {0xFF01,1919,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1920 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1920 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1920 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1920 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1920[] = {
	{EIF_GENERIC(NULL), 8972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1920), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1920), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1920), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1920), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1920), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1920), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1920), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1920), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1920), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1920), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1920), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1920), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1920), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1920), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1920), 8876, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1920), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8866, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8868, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1920), 8869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1920), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8867, 0xFFFFFFFF},
};
void Init1920(void)
{
	IDSC(desc_1920, 0, 1919);
	IDSC(desc_1920 + 1, 1, 1919);
	IDSC(desc_1920 + 32, 1134, 1919);
	IDSC(desc_1920 + 41, 1444, 1919);
	IDSC(desc_1920 + 50, 1534, 1919);
	IDSC(desc_1920 + 57, 1245, 1919);
}


#ifdef __cplusplus
}
#endif
